Package com.opensymphony.module.sitemesh.filter

# Class PageFilter

java.lang.Object
com.opensymphony.sitemesh.webapp.SiteMeshFilter
com.opensymphony.module.sitemesh.filter.PageFilter

All Implemented Interfaces:
  `javax.servlet.Filter`

public class PageFilter extends SiteMeshFilter
Deprecated.
Use `SiteMeshFilter` instead.

Version:
  $Revision: 1.17 $
Author:
  Joe Walnes, Scott Farquhar

## Constructor Summary

Constructors
Constructor
Description
`PageFilter()`
Deprecated.

## Method Summary

### Methods inherited from class com.opensymphony.sitemesh.webapp.SiteMeshFilter

`destroy, doFilter, init, initContentProcessor, initDecoratorSelector`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PageFilter

public PageFilter()
Deprecated.